lm3g_model_s Struct Reference

Common internal structure for Sphinx 3-gram models. More...

`#include <lm3g_model.h>`

## Data Fields

unigram_t * | unigrams
bigram_t * | bigrams
trigram_t * | trigrams
lmprob_t * | prob2
| Table of actual bigram probs.
int32 | n_prob2
| prob2 size
lmprob_t * | bo_wt2
| Table of actual bigram backoff weights.
int32 | n_bo_wt2
| bo_wt2 size
lmprob_t * | prob3
| Table of actual trigram probs.
int32 | n_prob3
| prob3 size
int32 * | tseg_base
| tseg_base[i>>LOG_BG_SEG_SZ] = index of 1st trigram for bigram segment (i>>LOG_BG_SEG_SZ)
tginfo_t ** | tginfo
| tginfo[lw2] is head of linked list of trigram information for some cached subset of bigrams (*,lw2). More...
listelem_alloc_t * | le
| List element allocator for tginfo. More...

## Detailed Description

Common internal structure for Sphinx 3-gram models.

Definition at line 142 of file lm3g_model.h.

## Field Documentation

## le

listelem_alloc_t* lm3g_model_s::le

List element allocator for tginfo.

Definition at line 156 of file lm3g_model.h.

## tginfo

tginfo_t** lm3g_model_s::tginfo

tginfo[lw2] is head of linked list of trigram information for some cached subset of bigrams (*,lw2).

Definition at line 154 of file lm3g_model.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/lm3g_model.h